sayren Docs
주문 플로우 프리셋

플로우 프리셋 목록

설치할 수 있는 프리셋과 막힌 프리셋(의존 이슈)을 함께 준다.

GET
/v1/flow-presets

설치할 수 있는 프리셋과 막힌 프리셋(의존 이슈)을 함께 준다.

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*array<>
error*|null
curl -X GET 'https://api.sayren.io/v1/flow-presets' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": [    {      "key": "string",      "presetVersion": 0,      "name": "string",      "description": "string",      "availability": "AVAILABLE",      "dependsOn": [        "string"      ],      "requires": {        "property1": null,        "property2": null      },      "variables": [        {          "property1": null,          "property2": null        }      ]    }  ],  "error": null}